"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class QueryError extends Error {
    constructor() {
        super();
        if (Error.captureStackTrace) {
            Error.captureStackTrace(this, QueryError);
        }
        this.name = 'QueryError';
        this.code = 1000;
    }
}
exports.QueryError = QueryError;
class EmptyQueryError extends QueryError {
    constructor() {
        super();
        this.name = 'EmptyQueryError';
        this.code = 1001;
    }
}
exports.EmptyQueryError = EmptyQueryError;
class SyntaxErrorGeneric extends QueryError {
    constructor(data) {
        super();
        this.name = 'SyntaxErrorGeneric';
        this.data = data;
        this.code = 1002;
    }
}
exports.SyntaxErrorGeneric = SyntaxErrorGeneric;
class SyntaxErrorKeyword extends QueryError {
    constructor(data) {
        super();
        this.name = 'SyntaxErrorKeyword';
        this.data = data;
        this.code = 1003;
    }
}
exports.SyntaxErrorKeyword = SyntaxErrorKeyword;
class SyntaxErrorNotKeyword extends QueryError {
    constructor(data) {
        super();
        this.name = 'SyntaxErrorNotKeyword';
        this.data = data;
        this.code = 1004;
    }
}
exports.SyntaxErrorNotKeyword = SyntaxErrorNotKeyword;
class SemanticErrorBadTable extends QueryError {
    constructor(data) {
        super();
        this.name = 'SemanticErrorBadTable';
        this.data = data;
        this.code = 1005;
    }
}
exports.SemanticErrorBadTable = SemanticErrorBadTable;
class SemanticErrorBadColumn extends QueryError {
    constructor(data) {
        super();
        this.name = 'SemanticErrorBadColumn';
        this.data = data;
        this.code = 1006;
    }
}
exports.SemanticErrorBadColumn = SemanticErrorBadColumn;
class SemanticErrorBadColumnValue extends QueryError {
    constructor(data) {
        super();
        this.name = 'SemanticErrorBadColumnValue';
        this.data = data;
        this.code = 1007;
    }
}
exports.SemanticErrorBadColumnValue = SemanticErrorBadColumnValue;
class SemanticErrorColumnCountDoesNotMatchRowCount extends QueryError {
    constructor(data) {
        super();
        this.name = 'SemanticErrorColumnCountDoesNotMatchRowCount';
        this.data = data;
        this.code = 1008;
    }
}
exports.SemanticErrorColumnCountDoesNotMatchRowCount = SemanticErrorColumnCountDoesNotMatchRowCount;
//# sourceMappingURL=errors.js.map