"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const keywords_1 = require("./keywords");
const keywords = keywords_1.keywordData.keywords;
function code(str) {
    return '```sql\n' + str + '\n```';
}
function backtick(str) {
    return '`' + str + '`\n';
}
function generate(keyword) {
    const doc = keywords.find(k => k.name === keyword.toUpperCase());
    if (!doc) {
        return '';
    }
    return [
        backtick(doc.category),
        doc.description,
        code(doc.codeExample),
        `[${doc.reference.name}](${doc.reference.url})`
    ].join('\n');
}
exports.default = generate;
//# sourceMappingURL=generate.js.map